Chuyển đến nội dung
Diễn đàn CADViet

Bảng xếp hạng


Nội dung phổ biến

Hiển thị nội dung có danh tiếng cao nhất vì 15/10/2021 trong Bài đăng

  1. 2 điểm
    MÌnh có công cụ dùng để xuất nhập giá trị Attributes trên nhiều bản vẽ đây.
  2. 1 điểm
    Mình đoán là lisp cắt chân Dim. Nếu vậy sẽ có lệnh YY, -> Chọn ... dim hor...
  3. 1 điểm
    Unload hết menu cui đi nữa bạn.
  4. 1 điểm
    Bạn thử cái này nhé, mình cũng sưu tầm thôi nhưng mà nó giải quyêt được bài toàn của bạn. Nếu không biết cách dùng vào trang wb trogn bài nhé Insert AutoCAD Blocks.rar
  5. 1 điểm
    Có giải thích từ dòng 136 - 139 đó em. Chịu khó dịch đi. (defun c:test2 ( ) (LM:QuickField "Length" "%lu2%pr0%ct8[1]" 3))
  6. 1 điểm
    Dim pline zigzag thì không bằng add 1 text vào pline, lấy field độ dài pline gán cho nó. Như vậy sẽ thay đổi khi độ dài pline thay đổi. http://www.lee-mac.com/lisp/html/QuickFieldV1-3.html
  7. 1 điểm
    Bạn thử cái này, hình chữ nhật luôn nằm bên trái của hướng từ điểm đầu tới điểm cuối. VCN.lsp
  8. 1 điểm
  9. 1 điểm
    (defun c:hcncheo( / ANG ANG1 DIST E ENT ENTS H L1 L2 LISTDINH NAME OBJ P1 P2 P3 P4 P5 P6 PARAM PE PS PT) (setq ents (entsel "\nPick entity")) (if (null ents) (exit)) (setq pt (cadr ents) ent (car ents) name (acet-dxf 0 (entget ent))) (if (null (or (= name "LWPOLYLINE") (= name "LINE")) ) (exit) ) (if (= name "LWPOLYLINE") (setq obj (vlax-ename->vla-object ent) pt (vlax-curve-getclosestpointto obj pt) param (fix (vlax-curve-getParamAtPoint obj pt)) ps (vlax-curve-getPointAtParam obj param) pe (vlax-curve-getPointAtParam obj (+ param 1)) ) ) (if (= name "LINE") (setq ps (acet-dxf 10 (entget ent)) pe (acet-dxf 11 (entget ent)) ) ) (setq p1 (if (< (car ps) (car pe)) ps pe) p2 (if (< (car ps) (car pe)) pe ps) ang (angle p1 p2) ang1 (+ ang (* pi 0.5)) dist (DISTANCE p1 p2)) (alert (strcat "L= " (rtos dist 2 2))) (setq l1 (getdist "\nL1:")) (setq l2 (getdist "\nL2:")) (if (> (+ l1 l2) dist) (alert "Tong L1 + L2 qua lon") ) (setq h (getdist "\nH:")) (setq p3 (polar p1 ang l1) p4 (polar p2 ang (- 0 l2)) p5 (polar p4 ang1 h) p6 (polar p3 ang1 h) ) (DEFUN list_point_pline (p1 w) (LIST (LIST 10 (CAR p1) (CADR p1)) (CONS 40 w) (CONS 41 w) (CONS 42 0.0)) ) (DEFUN make_lwpolyline (list_dinh dong_lai do_day layer / dlist elist1 e_list n i) (SETQ n (LENGTH list_dinh)) (SETQ dlist nil) (SETQ i 0) (WHILE (< i n) (SETQ dlist (APPEND dlist (list_point_pline (NTH i list_dinh) do_day) ) ) (SETQ i (1+ i)) ) (SETQ elist1 (LIST (CONS 0 "LWPOLYLINE") (CONS 100 "AcDbEntity") (CONS 410 "Model") (CONS 8 layer) (CONS 100 "AcDbPolyline") (CONS 90 n) (CONS 70 dong_lai) ;(cons 43 0.0) (CONS 38 0.0) (CONS 39 0.0))) (SETQ e_list nil) (SETQ e_list (APPEND elist1 dlist)) (SETQ e_list (APPEND e_list (LIST '(210 0.0 0.0 1.0)))) (ENTMAKE e_list) ) (DEFUN make_dim_y1 (style p1 p2 p3 ang layer / d e_list basepoint p4) (SETQ e_list (LIST (CONS 0 "DIMENSION") (CONS 100 "AcDbEntity") (CONS 67 0) (CONS 410 "Model") (CONS 8 layer) (CONS 100 "AcDbDimension") (cons 10 p3) (cons 11 p3) (LIST 12 0.0 0.0 0.0) (CONS 70 32) (CONS 1 "") (CONS 71 5) (CONS 72 1) (CONS 41 1.0) (CONS 42 0) (CONS 52 0.0) (CONS 53 0.0) (CONS 54 0.0) (CONS 51 0.0) (LIST 210 0.0 0.0 1.0) (CONS 3 style) (CONS 100 "AcDbAlignedDimension") (cons 13 p1) (cons 14 p2) (LIST 15 0.0 0.0 0.0) (LIST 16 0.0 0.0 0.0) (CONS 40 0.0) (CONS 50 ang) (CONS 100 "AcDbRotatedDimension") ) ) (ENTMAKE e_list) ) (setq listdinh (mapcar '(lambda (e) (list (car e) (cadr e)) ) (list p3 p4 p5 p6)) ) (MAKE_LWPOLYLINE listdinh 1 0 "chunhat") (MAKE_DIM_Y1 "Standard" p3 p6 (polar p1 (- 0 ang) (+ h h)) ang1 "dim") (MAKE_DIM_Y1 "Standard" p1 p3 (polar p1 ang1 (+ h h)) ang "dim") (MAKE_DIM_Y1 "Standard" p4 p2 (polar p1 ang1 (+ h h)) ang "dim") ) thử lại nhé
  10. 1 điểm
    Được ạ, bác có thể tạo sub để thực hiện công việc trong excel ngay trong sub của cad, hoặc ngược lại, bác có thể tạo sub để thực hiện các công việc trên excel cho excel và cho cad.
  11. 1 điểm
    Mình có sẵn cái lisp này nhưng mà phải thao tác từng 2 cái line một lần. noi line.lsp Gõ lệnh là "2" nhé. Nó sẽ nối 2 đối tượng (line / pline) tại đầu gần nhất lúc mình bấm chon đối tượng. Nếu cần đổi lệnh thì edit file dòng (defun c:2()(joinObject 2)) thành (defun c:tenlenh()(joinObject 2))
  12. 1 điểm
    (setq ss (ssget '((0 . "LWPOLYLINE")))) (setq ss (ACET-SS-TO-LIST ss)) (if (< (length ss) 2) (exit)) (setq pl1 (car ss) pl2 (cadr ss)) (setq ls1 (ACET-GEOM-PLINE-POINT-LIST pl1 0) ls2 (ACET-GEOM-PLINE-POINT-LIST pl2 0) pl1s (car ls1) pl1e (last ls1) pl2s (car ls2) pl2e (last ls2)) (setq p3 (if (< (distance pl1s pl2s) (distance pl1e pl2s)) pl1s pl1e) ) (setq p4 (if (< (distance pl2s pl1s) (distance pl2e pl1s)) pl2s pl2e) ) (setq line1 (entmakex (list (cons 0 "line") (cons 10 p3) (cons 11 p4)))) (command "pedit" pl1 "join" line1 pl2 "" "")
  13. -1 điểm
    Mình làm tưới cần vẽ ống nhỏ giọt chạy zig zig. Mình phá Hatch thì được các line song song cần nối lại với nhau như hình
  14. -1 điểm
    Xin lisp nâng hạ cao độ đường đồng mức trong autocad với ạ ( VD có 10 đường đồng mức có cao độ từ 50 đến 40 giờ em muốn chỉnh tất cả hạ đều xuống 1m là từ 49 đến 39)
  15. -1 điểm
    Bài chia sẻ khá đầy đủ. Mỗi năm Đà Nẵng đón khách du lịch nhiều, các dịch vụ theo đó cũng mở ra trong đó có dịch vụ cho thuê xe máy. Rất nhiều du khách thích thú và muốn tự mình rong ruổi khắp Đà Nẵng. mình cũng thích được du lịch kiểu như này, tự mình khám phá mọi thứ, thưởng thức các món đặc sản Đà nẵng, nhiều món ăn ngon yen chung san
  16. -1 điểm
    Em chào các bác ạ Các bác cho em xin sơ đồ lực , Phương trình cân bằng lực của đồ gá này với ạ Điều kiện xấu nhất nếu xảy ra sự mất ổn định ạ Em cảm ơn ạ.
  17. -1 điểm
    Cảm ơn b. Nhưng có cái nào dùng lisp k b? sữa thuộc tính attribute lun
  18. -1 điểm
    Dim pline zigzag thì không bằng add 1 text vào pline, lấy field độ dài pline gán cho nó. Như vậy sẽ thay đổi khi độ dài pline thay đổi. | day rut nhua
  19. -1 điểm
    Xin mọi người chỉ giáo giúp em. Có Code nào để insert block attribute lấy thông tin từ excel. hay file text với? Em mới lò mò học lisp. không bít có lớp dậy lisp nào ok không? Mong mấy tư vấn. Em cảm ơn mọi người <3
  20. -2 điểm
    Minh có một Polyline gấp khúc. Các bạn có thể viết giúp minh 1 lisp tạo Dim đo được luôn tổng chiều dài Polyline được không Và khi minh thay đổi chiều dài thì Dim của Polyline cũng sẽ cập nhật chiều dài đó tương ứng Cảm ơn
  21. -3 điểm
  22. -3 điểm
    Trong Lisp trên của bạn đó có dùng lệnh "LENGTHEN" để tính chiều dài. Nhưng sau khi dùng lệnh đó xong thì nó yêu có một số yêu cầu khác nữa, mà không lặp qua đối tượng tiếp theo | day rut nhua
Bảng thành tích này được đặt thành Tp. Hồ Chí Minh /GMT +07:00


  • Newsletter

    Want to keep up to date with all our latest news and information?

    Sign Up
×